module.exports = [
    {
        name:'main',
        component: () => import('@/view/main.vue'),
        path:'/main',
        children:[
            {
                path:'/healthCard',
                name:'healthCard',
                component:()=> import('@/view/healthCard/index.vue'),
                meta:{
                    title: '健康打卡'
                }
            }
        ]
    },
    {
        name:'healthCard',
        component: () => import('@/view/healthCard/index.vue'),
        path:'/healthCard',
        children:[
            {
                path:'statistics/index',
                name:'healthCardStatisticsIndex',
                component:()=> import('@/view/healthCard/statistics/index.vue'),
                meta:{
                    title: '健康打卡',
                    showTabbar:true,
                    activeTab:2
                }
            },
            {
                path:'statistics/chart',
                name:'healthCardStatisticsChart',
                component:()=> import('@/view/healthCard/statistics/chart.vue'),
                meta:{
                    title: '健康打卡',
                    showTabbar:true,
                    activeTab:2
                }
            },
            {
                path:'statistics/list/:type',
                name:'healthCardStatisticsList',
                component:()=> import('@/view/healthCard/statistics/list.vue'),
                meta:{
                    title: '健康打卡',
                    showTabbar:true,
                    activeTab:2
                }
            }
        ]
    },
    {//健康打卡
        name:"healthCard",
        component:()=>import("@/view/healthCard/index.vue"),
        path:"/healthCard",
        children:[
            {
                path:"healthCard/punchClock",
                name:"punchClock",
                component:()=>import("@/view/healthCard/punchClock.vue"),
                meta:{
                    title:"打卡列表"
                }
            },
            {
                path:"punchClockDetail/:id/:openId/:address",
                name:"punchClockDetail",
                component:()=>import("@/view/healthCard/punchClockDetail.vue"),
                meta:{
                    title:"健康打卡"
                }
            }
        ]
    },
    {       //返程
        name:'healthCard',
        component: () => import('@/view/healthCard/index.vue'),
        path:'/healthCard',
        children:[
            {
                path:'returnTrack/index/:iEmploeeId/:iCompanyId',
                name:'healthCardReturnTrack',
                component:()=> import('@/view/healthCard/returnTrack/index.vue'),
                meta:{
                    title: '返程',
                    showTabbar:true,
                    activeTab:1
                }
            },
            {
                path:'returnTrack/chart',
                name:'healthCardReturnTrackChart',
                component:()=> import('@/view/healthCard/returnTrack/chart.vue'),
                meta:{
                    title: '返程统计',
                    showTabbar:true,
                    activeTab:1
                }
            },
        ]
    }
]